package me.mctp;

import me.mctp.listener.WGListener;
import me.mctp.socket.Client;
import org.bukkit.Bukkit;
import org.bukkit.ChatColor;
import org.bukkit.event.Listener;
import org.bukkit.plugin.Plugin;
import org.bukkit.plugin.java.JavaPlugin;

public class Main extends JavaPlugin implements Listener {

    private static Plugin pl;
    private static Client client;

    public static String prefix = (ChatColor.GOLD + "[" + ChatColor.YELLOW + "MCTP" + ChatColor.GOLD + "] " + ChatColor.GRAY);

    public void onEnable(){
        Bukkit.getServer().getPluginManager().registerEvents(this, this);

        Bukkit.getLogger().info(prefix + "loading...");

        getConfig().addDefault("Regions.demosound", "https://audiopagina.mcthemeparks.eu/gallery/voletarium.mp3");
        getConfig().options().copyDefaults(true);
        saveConfig();

        pl = this;

        client = new Client("ws://144.91.100.169:30217");
        client.connect();

        getCommand("audio").setExecutor(new MCTPAudioCmd());
        getCommand("mctpaudio").setExecutor(new MCTPAudioCmd());

        Bukkit.getPluginManager().registerEvents(new WGListener(), this);

        Bukkit.getLogger().info(prefix + "  __  __  ____ _____ ____   _             _ _       ");
        Bukkit.getLogger().info(prefix + " |  \\/  |/ ___|_   _|  _ \\ / \\  _   _  __| (_) ___  ");
        Bukkit.getLogger().info(prefix + " | |\\/| | |     | | | |_) / _ \\| | | |/ _` | |/ _ \\ ");
        Bukkit.getLogger().info(prefix + " | |  | | |___  | | |  __/ ___ \\ |_| | (_| | | (_) |");
        Bukkit.getLogger().info(prefix + " |_|  |_|\\____| |_| |_| /_/   \\_\\__,_|\\__,_|_|\\___/ ");
        Bukkit.getLogger().info(prefix + "                                                    ");
        Bukkit.getLogger().info(prefix + "successfully enabled!");
    }

    public void onDisable() {
        client.disconnect();
        Bukkit.getLogger().info(prefix + "successfully disabled!");
    }

    public static Plugin getPlugin() {
        return pl;
    }

    public static Client getClient() {
        return client;
    }
}
